<?php

    include("../../classes/database.class.php");
    include("../../classes/documentoModel.class.php");
    include("../../classes/documentoController.class.php");

    $idDocumento = $_POST["idDocumento"];
    $idDocumentoRelacao = $_POST["idDocumentoRelacao"];
    $entregue = $_POST["entregue"];
    $faltaDocRelac = $_POST["faltaDocRelac"];

    if($idDocumento == ""){
        $idDocumento = null;
    }
    if($idDocumentoRelacao == ""){
        $idDocumentoRelacao = null;
    }
    if($entregue == ""){
        $entregue = null;
    }
    if($faltaDocRelac == ""){
        $faltaDocRelac = null;
    }

    $modelo = new DocumentoController(0, 0, 0, 0, $entregue, 0, 0, 0, 0, 0);
    $id = $modelo->createDocumentoRelac($idDocumento, $idDocumentoRelacao, $faltaDocRelac);
    echo $id;